// This script demonstrates how to do
// frequency domain filtering.

  // open image and transform to frequency domain
  img = IJ.openImage("http://wsr.imagej.net/images/boats.gif");
  fft = FFT.forward(img);

  // create high pass filter and apply to frequency domain image
  size =512;
  r = size/30; //radius
  filter = new ByteProcessor(size,size);
  roi = new OvalRoi(size/2-r, size/2-r, r*2, r*2);
  filter.setColor(255);
  filter.fill(roi);
  filter.blurGaussian(0.8*r);
  filter.invert();
  //new ImagePlus("filter",filter).show();  // show filter
  FFT.filter(fft, filter);
  
  // do inverse transform and display result
  img2 = FFT.inverse(fft);
  //fft.show(); // show power spectrum
  //img.show(); // show original image
  IJ.run(img2, "Enhance Contrast...", "saturated=12");
  img2.show(); // show filtered image
